// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyBfBTQrh37gR5ZJUqCWplqjWUUqtkk__7w',
    appId: '1:1055532056923:web:3c551ed3edb0570948da7e',
    messagingSenderId: '1055532056923',
    projectId: 'labs-cc3e7',
    authDomain: 'labs-cc3e7.firebaseapp.com',
    storageBucket: 'labs-cc3e7.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDl5_NxIr2af5E0w5IEWJ44I1m2IGxMF8M',
    appId: '1:1055532056923:android:683e1a6f965c26b848da7e',
    messagingSenderId: '1055532056923',
    projectId: 'labs-cc3e7',
    storageBucket: 'labs-cc3e7.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCzR8CUguSvcaw_JFm_VYskwAC79i6N67A',
    appId: '1:1055532056923:ios:023ec9fad7062bdf48da7e',
    messagingSenderId: '1055532056923',
    projectId: 'labs-cc3e7',
    storageBucket: 'labs-cc3e7.appspot.com',
    iosClientId: '1055532056923-7d96vuaqqj1h9gadrohm4blg9974ht5h.apps.googleusercontent.com',
    iosBundleId: 'com.example.lab2',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCzR8CUguSvcaw_JFm_VYskwAC79i6N67A',
    appId: '1:1055532056923:ios:023ec9fad7062bdf48da7e',
    messagingSenderId: '1055532056923',
    projectId: 'labs-cc3e7',
    storageBucket: 'labs-cc3e7.appspot.com',
    iosClientId: '1055532056923-7d96vuaqqj1h9gadrohm4blg9974ht5h.apps.googleusercontent.com',
    iosBundleId: 'com.example.lab2',
  );
}
